#ifndef STEP_UDPIPRECEIVE_H
#define STEP_UDPIPRECEIVE_H

#include <string>
using std::string;

#include "step.h"

class StepUDPIPReceive : public Step
{
   public:

      StepUDPIPReceive(STEPREC& stepRecord);
      virtual ~StepUDPIPReceive(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string socketHandle;
      string peerNameVariable;
      string peerPortVariable;
      string responseVariable;
      string timeout;
      bool includeTerminationString;
      bool hexString;
      bool uppercase;
};

#endif