#ifndef STEP_AUDIOPLAY_H
#define STEP_AUDIOPLAY_H

#include "step.h"

class StepAudioPlay : public Step
{
   public:

      StepAudioPlay(STEPREC& stepRecord);
      virtual ~StepAudioPlay(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      bool bInt;       // u1   : Flag: Is play interruptable?
      bool bFancy;     // u4   : Flag: Use fancy play options?
      SOUND_FORMAT format;  // u2   : Type of file.
      string msgCd;   // s1   : Message code to play from voice link list.
      string fileNm;  // longc: Name of file to play.
      string playFromTime;  // s3: Starting position in ms
      string playForTime;    // s4: Play length in ms
};

#endif
