#ifndef STEP_AUDIORECORD_H
#define STEP_AUDIORECORD_H

#include "step.h"

class StepAudioRecord : public Step
{
   public:

      StepAudioRecord(STEPREC& stepRecord);
      virtual ~StepAudioRecord(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      bool bInt;                 // u1   : Flag: Is play interruptable?
      bool automaticGainControl; // u2   : Should AGC be used?
      bool disableBeep;          // u4
      SOUND_FORMAT format;  // u3   : Type of file.
      string maxSilence; // s2   : Max record time in milliseconds.
      string maxTime; // s4   : Max record time in milliseconds.
      string fileNm;  // longc: Name of file to record into.
};

#endif
