#ifndef STEP_AUDIOSTARTRECORD_H
#define STEP_AUDIOSTARTRECORD_H

#include "step.h"

class StepAudioStartRecord : public Step
{
   public:

      StepAudioStartRecord(STEPREC& stepRecord);
      virtual ~StepAudioStartRecord(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      SOUND_FORMAT format;    // u3: Type of file.
      string fileNm;        // s1: Name of file to record into.
      bool disableBeep;
      bool automaticGainControl; // u2   : Should AGC be used?
};

#endif