#ifndef STEP_CONFJOIN_H
#define STEP_CONFJOIN_H

#include "step.h"

class StepConfJoin : public Step
{
   public:

      StepConfJoin(STEPREC& stepRecord);
      virtual ~StepConfJoin(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string handle;            // s1 : conference handle
      bool  bAutoGainControl;     // u1 : use AGC for this member
      int   iBeepSetting;         // u2 : setting for intro/exit beep
      string msgCode1;          // s2 : 1st message code to play (from voice link list)
      string fileName1;         // s3 : 1st file to play
      string msgCode2;          // s4 : 2nd message code to play (from voice link list)
      string fileName2;         // s5 : 2nd file to play
      SOUND_FORMAT format;        // u3 : TeleFlow audio type of play file(s)
};

#endif
