#ifndef STEP_FILEOPEN_H
#define STEP_FILEOPEN_H

#include "step.h"

class StepFileOpen : public Step
{
   public:

      StepFileOpen(STEPREC& stepRecord);
      virtual ~StepFileOpen(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string fileNm;
      string varNm;
      string varResultByteCount;
      string varBaseByteCount;
      bool bBase64Encode;
      bool bBreakLines;
      bool bBase64CountCRLF;
};

#endif
