#ifndef STEP_GETDIGITS_H
#define STEP_GETDIGITS_H

#include "step.h"

class StepGetDigits : public Step
{
   public:

      StepGetDigits(STEPREC& stepRecord);
      virtual ~StepGetDigits(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string varNm;     // Name of variable to hold TT's entered.
      string timeout;
      string maxLen;
      string TTOkay;
      string TTTerm;
};

#endif
