#ifndef STEP_MESSAGE_H
#define STEP_MESSAGE_H

#include "step.h"

class StepMessage : public Step
{
   public:

      StepMessage(STEPREC& stepRecord);
      virtual ~StepMessage(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      bool   bNewLine;
      bool   bAppend;
      string fileNm;
      string msg;
};

#endif
