#ifndef STEP_SCANDIR_H
#define STEP_SCANDIR_H

#include "step.h"

class StepScanDir : public Step
{
   public:

      StepScanDir(STEPREC& stepRecord);
      virtual ~StepScanDir(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string dirNm;     // longc: Directory to scan.
      string fileMask;  // s1:    File mask (*.* by default).
      string dirVarNm;  // s2:    Variable to hold directory entries.
      string cntVarNm;  // s3:    Variable to receive count of files.
};

#endif
