#ifndef STEP_XMLWRITE_H
#define STEP_XMLWRITE_H

#include "step.h"

class StepXMLWrite : public Step
{
   public:
   
      StepXMLWrite(STEPREC& stepRecord);
      virtual ~StepXMLWrite(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string handle;       // S01: TeleFlow handle number (1-9)
      string fileNm;       // S02: File name to write to
      bool bAppend;         // U01: append to file
};

#endif
