#ifndef EXPORT_DECLARATIONS_H
#define EXPORT_DECLARATIONS_H

   #if defined(__DLL__) || defined(_DLL) || defined(__DLL)
      #define DLL_DECLARATION __declspec(dllexport)
   #else
      #define DLL_DECLARATION __declspec(dllimport)
   #endif

   #define CLASS_DECLARATION DLL_DECLARATION

   #ifdef _MSC_VER
      #define FUNCTION_DECLARATION(rtn_type) extern "C" DLL_DECLARATION rtn_type
   #else
      #define FUNCTION_DECLARATION(rtn_type) extern "C" rtn_type DLL_DECLARATION
   #endif

#endif