#ifndef IV_STR_H
#define IV_STR_H

#include <time.h>	// time_t
#include <string>

#if defined (__DLL__)
#define STRAPI __declspec(dllexport)
#else
#define STRAPI __declspec(dllimport)
#endif

// BCB6 upgrade - TF Mar.28/02
#ifdef IV_GROWSIZE
   #undef IV_GROWSIZE
#endif
#define IV_GROWSIZE 64

STRAPI int safe_strcpy (char *dest, const char *src, int len);
STRAPI int safe_strcat (char *dest, const char *src, int len);
STRAPI int strtrim_left (char *s);
STRAPI int strtrim_right (char *s);
STRAPI int strtrim (char *s);
STRAPI void strclear (char *&dest);
STRAPI bool stradd (char *&dest, const char *src, int &destSize);
STRAPI bool charadd (char *&dest, const char src, int &destSize);
STRAPI void GetTimeStr (char *&value);
STRAPI void GetSecondsStr (time_t timer, char *&value);
STRAPI std::string::size_type FindCaseInsensitiveString(const char* searchIn, const char* searchFor);
STRAPI char* strrepl (const char* pszMain, const char* pszSearch, const char* pszReplace);
STRAPI char* FindDelimitedElement(const char* pszText, int iStartPos, int iOccurrence,
         const char* delimiter, bool bForward, bool bCaseSensitive);
STRAPI void HexStr2CharStr(const char* pszHexStr, unsigned char* pucCharStr, int iSize);
STRAPI void CharStr2HexStr(const unsigned char* pucCharStr, char* pszHexStr, int iSize, bool uppercase = true);
STRAPI char* TrimStr(const char* pszInput);
#undef STRAPI

#endif
