#include <iostream>
#include <fstream>

using namespace std;

#include "printsteprec.h" 
ofstream file("TFEngineParsedData.txt",ios::out);

void print_steprec(PSTEPREC record,int step)
{
   file << "-----------Start of step " << step << "----------------\n"
   << "Function #: " << record->op << "\n"
   << "Label : " << record->label.arr << "\n"
   << "Current : " << record->current << "\n"
   << "Next : " << record->next << "\n"
   << "Attribute : " << record->attrib << "\n"
   << "Parent : " << record->parent<< "\n"
   << "s1: " << record->s1.arr << "\n"
   << "s2: " << record->s2.arr << "\n"
   << "s3: " << record->s3.arr << "\n"
   << "s4: " << record->s4.arr << "\n"
   << "S5: " << record->s5.arr << "\n"
   << "s6: " << record->s6.arr << "\n"
   << "S7: " << record->s7.arr << "\n"
   << "S8: " << record->s8.arr << "\n"
   << "S9: " << record->s9.arr << "\n"
   << "S10: " << record->s10.arr << "\n"
   << "u1: " << record->u1 << "\n"
   << "u2: " << record->u2 << "\n"
   << "u3: " << record->u3 << "\n"
   << "u4: " << record->u4 << "\n"
   << "u5: " << record->u5 << "\n"
   << "u6: " << record->u6 << "\n"
   << "u7: " << record->u7 << "\n"
   << "u8: " << record->u8 << "\n"
   <<"-----------End of step " << step <<  "----------------\n" << endl;
}

