#ifndef STEP_SETREORDERTONE_H
#define STEP_SETREORDERTONE_H

#include <string>
using std::string;

#include "step.h"

class StepSetReorderTone : public Step
{
   public:

      StepSetReorderTone(STEPREC& stepRecord);
      virtual ~StepSetReorderTone(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string frequency1;
      string frequency2;
      string minimumOnTime;
      string maximumOnTime;
      string minimumOffTime;
      string maximumOffTime;
};

#endif
