#include "step_confleave.h"
#include "..\BoardDLLs\brd_generic.h"

StepConfLeave::StepConfLeave(STEPREC& stepRecord) : Step(stepRecord)
{
}

StepConfLeave::~StepConfLeave(void)
{
}

const char* StepConfLeave::GetStepName(void) const
{
	return("Leave Conference");
}

IV_STATUS StepConfLeave::Execute(PIVRINFO pInfo)
{
   if(Status(pInfo) != IVR_SUCCESS)
   {
      return(IVR_FAIL);
   }

   return(pInfo->ivBoard->ConfLeave());
}
